# ClpCholeskyWssmp Class Reference

Wssmp class for Clp Cholesky factorization. More...

`#include <ClpCholeskyWssmp.hpp>`

Inheritance diagram for ClpCholeskyWssmp:
[legend]
Collaboration diagram for ClpCholeskyWssmp:
[legend]

List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Does Symbolic factorization given permutation.
virtual int | factorize (const double *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped.
virtual void | solve (double *region)
| Uses factorization to solve.
Constructors, destructor
| ClpCholeskyWssmp (int denseThreshold=-1)
| Constructor which has dense columns activated.
virtual | ~ClpCholeskyWssmp ()
| Destructor.
| ClpCholeskyWssmp (const ClpCholeskyWssmp &)
| Constructor which has dense columns activated.
ClpCholeskyWssmp & | operator= (const ClpCholeskyWssmp &)
| Constructor which has dense columns activated.
virtual ClpCholeskyBase * | clone () const
| Clone.

## Detailed Description

Wssmp class for Clp Cholesky factorization.

Definition at line 17 of file ClpCholeskyWssmp.hpp.

## Constructor & Destructor Documentation

ClpCholeskyWssmp::ClpCholeskyWssmp | ( | int | denseThreshold = `-1` | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyWssmp::~ClpCholeskyWssmp | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyWssmp::ClpCholeskyWssmp | ( | const ClpCholeskyWssmp & |  | ) |

Constructor which has dense columns activated.

Default is off.

## Member Function Documentation

virtual int ClpCholeskyWssmp::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyWssmp::symbolic | ( |  | ) | `[virtual]`

Does Symbolic factorization given permutation.

This is called immediately after order. If user provides this then user must provide factorize and solve. Otherwise the default factorization is used returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyWssmp::factorize | ( | const double * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped.

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyWssmp::solve | ( | double * | region | ) | `[virtual]`

Uses factorization to solve.

Reimplemented from ClpCholeskyBase.

ClpCholeskyWssmp& ClpCholeskyWssmp::operator= | ( | const ClpCholeskyWssmp & |  | ) |

Constructor which has dense columns activated.

Default is off.

Reimplemented from ClpCholeskyBase.

virtual ClpCholeskyBase* ClpCholeskyWssmp::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Alps-1.4.6/Clp/src/ClpCholeskyWssmp.hpp